function PrintTable(this)

    crlb_print = this.crlb;
    crlb_print(abs(crlb_print)>=1000) = 999.9999;
    
    active_met_names = this.met(this.active_mets);
    
    fprintf('\n******************** Fitting results ********************\n');
    fprintf('fit quality estimate Q: %6.4f\n\n', this.Q);
    fprintf('%s%20s%16s%16s%16s%16s%16s%16s%16s%16s%20s%20s\n', 'met', 'conc', '/Cr', 'crlb [%]', 'em [Hz]', 'gm [Hz]', 'em_g [Hz]', 'pc0 [deg]', 'df1 [Hz]', 'df2 [Hz]', 'pc11 [deg/ppm]', 'pc12 [deg/ppm]');
    fprintf('%s\n', repmat('-', [1 191]));

    for met_cnt=1:this.nr_act_mets
        fprintf('%s%s%12.4e%16.4f%16.4f%16.4f%16.4f%16.4f%16.4f%16.4f%16.4f%20.4f%20.4f\n', ...
                active_met_names{met_cnt}, repmat(' ', [1 11-length(active_met_names{met_cnt})]), ...
				this.fitted_values.conc(this.sub_mask.conc.full(:,met_cnt)'), ...
                this.fitted_values.conc(this.sub_mask.conc.full(:,met_cnt)') / this.fitted_values.conc(1), crlb_print(this.sub_mask.conc.full(:,met_cnt)'), ...
                this.fitted_values.em(this.sub_mask.em.full(:,met_cnt)'), this.fitted_values.gm(this.sub_mask.gm.full(:,met_cnt)'), ...
                this.fitted_values.em_g(this.sub_mask.em_g.full(:,met_cnt)'), this.fitted_values.pc0(this.sub_mask.pc0.full(:,met_cnt)'), ...
                this.fitted_values.df1(this.sub_mask.df1.full(:,met_cnt)'), this.fitted_values.df2(this.sub_mask.df2.full(:,met_cnt)'), ...
				this.fitted_values.pc11(this.sub_mask.pc11.full(:,met_cnt)'), this.fitted_values.pc12(this.sub_mask.pc12.full(:,met_cnt)'));
    end
end
